Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleRemoteDataSource

All Superinterfaces:
  AbleEventListenerRemoteManager, AbleEventQueueRemoteManager, AbleRemoteBean, AbleRemoteEventListener, java.rmi.Remote, java.io.Serializable

public interface AbleRemoteDataSource
extends java.rmi.Remote, AbleRemoteBean

The AbleDataSource interface is implemented to provide common information about remote data sources, the records they provide, and the fields those records contained. Data sources that do not extend the AbleAbstractImport class must implement this interface.

Method Summary
`java.util.Vector` | `getFieldList()` Returns a list of `AbleField` objects defining each field in the data source.
`int` | `getNumberOfOutputFields()` Returns the number of fields in each record in the data source.
`long` | `getNumEpochs()` Returns the number of complete passes over the data.
`long` | `getNumRecords()` Returns the number of records in the data source.
`long` | `getStepsPerCycle()` Returns the number of records or steps to process in a cycle.
`boolean` | `isAllNumericData()` Indicates true if all fields in the data source are either `AbleContinuousField` or `AbleDiscreteField`; false if any are `AbleCategoricalField`.
`boolean` | `isReady()` Indicates if the data source is ready to provide data.
`void` | `setFieldList(java.util.Vector fieldList)` Sets the field definitions for this datasource.

Methods inherited from interface com.ibm.able.AbleRemoteBean
`getName, getProperties, getProperty, getState, init, init, process, process, quitAll, removeProperty, reset, resumeAll, setProperties, setProperty, suspendAll`

Methods inherited from interface com.ibm.able.AbleRemoteEventListener
`handleAbleEvent`

Methods inherited from interface com.ibm.able.AbleEventListenerRemoteManager
`addAbleEventListener, notifyAbleEventListeners, removeAbleEventListener`

Methods inherited from interface com.ibm.able.AbleEventQueueRemoteManager
`flushAbleEventQueue, getAbleEventProcessingEnabled, getAbleEventQueueSize, getSleepTime, isTimerEventProcessingEnabled, quitEnabledEventProcessing, restartEnabledEventProcessing, resumeEnabledEventProcessing, setAbleEventProcessingEnabled, setSleepTime, setTimerEventProcessingEnabled, startEnabledEventProcessing, suspendEnabledEventProcessing`

Method Detail

### getNumRecords

    public long getNumRecords()
                       throws java.rmi.RemoteException

  Returns the number of records in the data source.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### getNumberOfOutputFields

    public int getNumberOfOutputFields()
                                throws java.rmi.RemoteException

  Returns the number of fields in each record in the data source.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### getNumEpochs

    public long getNumEpochs()
                      throws java.rmi.RemoteException

  Returns the number of complete passes over the data.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### getFieldList

    public java.util.Vector getFieldList()
                                  throws java.rmi.RemoteException

  Returns a list of `AbleField` objects defining each field in the data source.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### setFieldList

    public void setFieldList(java.util.Vector fieldList)
                      throws java.rmi.RemoteException

  Sets the field definitions for this datasource.

  Parameters:
    `fieldList` - The list of `AbleField` objects defining each field in the data source.
  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### isAllNumericData

    public boolean isAllNumericData()
                             throws java.rmi.RemoteException

  Indicates true if all fields in the data source are either `AbleContinuousField` or `AbleDiscreteField`; false if any are `AbleCategoricalField`.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### isReady

    public boolean isReady()
                    throws java.rmi.RemoteException

  Indicates if the data source is ready to provide data.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

### getStepsPerCycle

    public long getStepsPerCycle()
                          throws java.rmi.RemoteException

  Returns the number of records or steps to process in a cycle. Data sources may implement algorithms to cache data and choose to make the cycle size equal to cache size, equal to the number of records in the data source, or some percentage of the number of records in the data source.

  Throws:
    `java.rmi.RemoteException` - If any error occurs.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005